/*
 * Generated by asn1c-0.9.29 (http://lionet.info/asn1c)
 * From ASN.1 module "IEEE-1609-3-WSA"
 * 	found in "../Ieee1609Dot3Wsa.asn"
 * 	`asn1c -fcompound-names -gen-PER`
 */

#ifndef	_ServiceInfoExt_H_
#define	_ServiceInfoExt_H_


#include <asn_application.h>

/* Including external dependencies */
#include "Extension.h"

#ifdef __cplusplus
extern "C" {
#endif

/* ServiceInfoExt */
typedef Extension_22P1_t	 ServiceInfoExt_t;

/* Implementation */
extern asn_TYPE_descriptor_t asn_DEF_ServiceInfoExt;
asn_struct_free_f ServiceInfoExt_free;
asn_struct_print_f ServiceInfoExt_print;
asn_constr_check_f ServiceInfoExt_constraint;
ber_type_decoder_f ServiceInfoExt_decode_ber;
der_type_encoder_f ServiceInfoExt_encode_der;
xer_type_decoder_f ServiceInfoExt_decode_xer;
xer_type_encoder_f ServiceInfoExt_encode_xer;
per_type_decoder_f ServiceInfoExt_decode_uper;
per_type_encoder_f ServiceInfoExt_encode_uper;

#ifdef __cplusplus
}
#endif

#endif	/* _ServiceInfoExt_H_ */
#include <asn_internal.h>
